%define plugin_root /opt/plugins
%define check_docker check_docker.py
%define check_swarm check_swarm.py

Summary: OP5 Monitor plugin for checking Docker health status
Name: monitor-plugin-check_docker
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL-3.0
Group: op5/system-addons
URL: http://www.op5.com/support
%global commit 0032f9a0ebbef28113d77be033c86cb3976299f9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Source0: https://github.com/timdaman/check_docker/archive/%{commit}/check_docker-%{shortcommit}.tar.gz
Prefix: /opt/plugins
%if 0%{?rhel} <= 6
Requires: python34
BuildRequires: python34
%else
Requires: python36
BuildRequires: python36
%endif
BuildRoot: %{_tmppath}/check_docker-%{commit}
BuildArch: noarch

%description
OP5 Monitor plugin for checking Docker health status

%prep
%setup -q -n check_docker-%{commit}

%build
/usr/bin/env python3 -m venv venv

# Install build-deps
venv/bin/pip install pytest pyfakefs

# Run tests
venv/bin/pytest tests/test_check_docker.py tests/test_check_swarm.py

# Install scripts with preserved timestamps
%{__install} -D -p check_docker/check_docker.py %{buildroot}/%{plugin_root}/%{check_docker}
%{__install} -D -p check_docker/check_swarm.py %{buildroot}/%{plugin_root}/%{check_swarm}

%files
%defattr(-, monitor, root)
%attr(755, monitor, root) %{plugin_root}/%{check_docker}
%attr(755, monitor, root) %{plugin_root}/%{check_swarm}

%clean
rm -rf %buildroot
